   /**MEMBER**=NONE
    **CMS**=RMX_MD86VAX
   */
/*********************************   MDD.H   ********************************/
/*                                                                          */
/*  Copyright 1996-2014 AFH Systems                                         */
/*                                                                          */
/*  FilterMeister is free software. You can redistribute and modify it      */
/*  under the terms of the MPL2 License.                                    */
/*  See: https://www.mozilla.org/en-US/MPL/2.0/                             */
/*  Any changes to the FilterMeister files have to be published or sent     */
/*  to harry@thepluginsite.com. The filter plugin code itself does not      */
/*  need to be disclosed.                                                   */
/*                                                                          */
/*    20Oct96  Alex Hunter  1. Translated to C using PLMC32.                */
/*    12Feb97  Alex Hunter  1. Check for recursion when displaying a        */
/*                             recursive data type.                         */
/*                                                                          */
/****************************************************************************/

 typedef struct
         {
             void           *samename;
             void           *hashlink;
             UINT1          name[1];
         } LNAMESTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *samename;
             void           *namep;
             void           *parentp;
             void           *nextsiblingp;
             void           *offspringp;
             void           *moddefoffspringp;
             UINT4          staticsize;
             UINT4          dynamicsize;
             UINT1          programtype;
         } PRGDEFSTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *samename;
             void           *segmentnamep;
             void           *parentp;
             void           *nextsiblingp;
             void           *classnamep;
             void           *overlaynamep;
             UINT4          segmentlength;
             UINT4          offset;
             UINT2          frame;
             UINT1          a;
             UINT1          c;
             UINT1          pageflag;
             UINT1          g;
         } SEGDEFSTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *samename;
             void           *groupnamep;
             void           *parentp;
             void           *nextsiblingp;
             void           *offspringp;
             UINT4          grouplength;
             UINT4          offset;
             UINT2          frame;
         } GRPDEFSTRUCTURE;

 typedef struct ls_tag
         {
             struct ls_tag  *nextleaf;
             INT4           value;
             UINT1          type;
             UINT1          en;
         } LEAFSTRUCTURE;

 typedef struct
         {
             UINT4          expansionindex;
             LEAFSTRUCTURE  *firstleaf;
         } TYPDEFSTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *samename;
             void           *namep;
             void           *parentp;
             void           *nextsiblingp;
             UINT4          offset;
             UINT2          frame;
             UINT4          typeindex;
             UINT4          publicindex;
         } PUBDEFSTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *samename;
             void           *namep;
             void           *parentp;
             void           *nextsiblingp;
             UINT4          allocatelength;
             UINT4          typeindex;
             UINT4          externalindex;
             UINT4          segmentindex;
             UINT1          allocate;
         } EXTDEFSTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *hashlink;
             UINT4          offset;
             void           *parentp;
             void           *nextsiblingp;
             UINT2          frame;
             UINT4          linenumber;
             UINT2          ldtsel;
             UINT4          groupindex;
             UINT4          lineindex;
         } LINNUMSTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *samename;
             void           *namep;
             void           *parentp;
             void           *nextsiblingp;
             void           *offspringp;
             UINT4          blocklength;
             UINT4          offset;
             UINT2          frame;
             UINT2          ldtsel;
             UINT4          groupindex;
             UINT4          typeindex;
             UINT4          returnaddressoffset;
             UINT1          procflag;
             UINT1          l;
         } BLKDEFSTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *samename;
             void           *namep;
             void           *parentp;
             void           *nextsiblingp;
             UINT4          offset;
             UINT2          frame;
             UINT2          ldtsel;
             UINT4          groupindex;
             UINT4          typeindex;
             UINT1          frameinfo;
         } DEBSYMSTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *samename;
             void           *modulenamep;
             void           *parentp;
             void           *nextsiblingp;
             void           *offspringp;
             void           *linnumoffspringp;
             void           *translatornamep;
             CONNECTION     sourceconnection;
             UINT4          firstlineindex;
             UINT4          lastlineindex;
         } MODDEFSTRUCTURE;

 typedef struct
         {
             UINT1          blocktype;
             void           *samename;
             void           *namep;
             void           *parentp;
             void           *nextsiblingp;
             void           *offspringp;
         } BLOCKSTRUCTURE;

#define GRPDEFPRIORITY    0
#define SEGDEFPRIORITY    2
#define LINNUMPRIORITY    4
#define BLKDEFPRIORITY    6
#define DEBSYMPRIORITY    10
#define PUBDEFPRIORITY    12


/******************* Global data and variables ************************/

#define TYPDEFSIZE        2000
 PRGDEFSTRUCTURE       *Mdd_prgdefp;
 
 LNAMESTRUCTURE        *Lnamep[2000];
 SEGDEFSTRUCTURE       *Segdefp[2000];
 GRPDEFSTRUCTURE       *Grpdefp[2000];
 TYPDEFSTRUCTURE       *Typdefp[TYPDEFSIZE];
 PUBDEFSTRUCTURE       *Pubdefp[8000];
 BLKDEFSTRUCTURE       *Blkdefp[4000];

 UINT4                 Lnameindex;
 UINT4                 Segdefindex;
 UINT4                 Grpdefindex;
 UINT4                 Typdefindex;
 UINT4                 Pubdefindex;
 UINT4                 Blkdefindex;

/************************ end of MDD.H *********************/
